// creator  : weidu.exe (version 23100)
// argument : _MINSCP.DLG
// game		 : .
// source	 : ./override/_MINSCP.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_MINSCP~

IF ~!Dead("dynaheir")
Global("KickedOut","LOCALS",1)
~ THEN BEGIN 0 // from:
  SAY #74163 /* ~I knew you would return!  Rejoin with Minsc and Boo, and we shall once more charge headlong into adventure and glory!~ */
  IF ~~ THEN REPLY #74164 /* ~I have no desire to put my head in that kind of jeopardy.  Perhaps another time.~ */ GOTO 6
  IF ~~ THEN REPLY #74165 /* ~It has been quite the boring trip without you.  Welcome back.~ */ GOTO 7
END

IF ~Dead("dynaheir")
Global("KickedOut","LOCALS",1)
~ THEN BEGIN 1 // from:
  SAY #74163 /* ~I knew you would return!  Rejoin with Minsc and Boo, and we shall once more charge headlong into adventure and glory!~ */
  IF ~~ THEN REPLY #74164 /* ~I have no desire to put my head in that kind of jeopardy.  Perhaps another time.~ */ GOTO 6
  IF ~~ THEN REPLY #74165 /* ~It has been quite the boring trip without you.  Welcome back.~ */ GOTO 8
END

IF ~!InParty("dynaheir")
HappinessLT(Myself,0)
~ THEN BEGIN 2 // from:
  SAY #74166 /* ~I have never seen such behavior in all my days!  And you claim to be heroes?  Raaaargh!!!~ */
  IF ~~ THEN DO ~SetGlobal("IHATEYOUALL","LOCALS",0)
ChangeAIScript("",DEFAULT)
LeaveParty()
Enemy()
~ EXIT
END

IF ~InParty("dynaheir")
HappinessLT(Myself,0)
~ THEN BEGIN 3 // from:
  SAY #74167 /* ~Boo and I were about to leave anyway!  I have never seen such behavior in all my days!  And you claim to be heroes?  Good riddance!  Come Dynaheir, I will not feel good about your safety until we are away from here.~ */
  IF ~~ THEN DO ~SetGlobal("IHATEYOUALL","LOCALS",0)
ChangeAIScript("",DEFAULT)
ActionOverride("dynaheir",ChangeAIScript("",DEFAULT))
ActionOverride("dynaheir",LeaveParty())
ActionOverride("dynaheir",EscapeArea())
LeaveParty()
EscapeArea()
~ EXIT
END

IF ~Global("KickedOut","LOCALS",0)
!InParty("dynaheir")
~ THEN BEGIN 4 // from:
  SAY #74168 /* ~I am truly saddened that you wish Minsc and Boo to leave.  If you have any need for stout blade, and an even stouter man to swing it, do not hesitate to call on me.~ */
  IF ~  False()
~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
~ EXIT
  IF ~  !AreaCheck("FW5100")
!AreaCheck("FW5101")
!AreaCheck("FW5102")
!AreaCheck("FW5103")
!AreaCheck("FW5401")
!AreaCheck("FW5402")
!AreaCheck("FW5403")
!AreaCheck("FW5404")
!AreaCheck("FW5405")
!AreaCheck("FW1900")
!AreaCheck("FW1901")
!AreaCheck("FW1903")
!AreaCheck("FW3900")
!AreaCheck("FW3901")
!AreaCheck("FW4500")
!AreaCheck("FW5201")
!AreaCheck("FW3500")
!AreaCheck("FW1603")
!AreaCheck("FW4501")
!AreaCheck("FW3601")
!AreaCheck("FW1401")
!AreaCheck("FW2101")
!AreaCheck("FW1801")
!AreaCheck("FW1802")
!AreaCheck("FW1803")
!AreaCheck("FW1804")
!AreaCheck("FW2615")
!AreaCheck("FW2619")
!AreaCheck("FW5506")
!AreaCheck("FW0500")
!AreaCheck("FW0501")
!AreaCheck("FW0502")
!AreaCheck("FW0503")
!AreaCheck("FW0504")
!AreaCheck("FW0505")
!AreaCheck("FW0506")
!AreaCheck("FW0507")
!AreaCheck("FW0508")
!AreaCheck("FW0509")
!AreaCheck("FW0510")
!AreaCheck("FW0511")
!AreaCheck("FW0512")
!AreaCheck("FW0513")
!AreaCheck("FW0514")
!AreaCheck("FW0515")
!AreaCheck("FW0516")
!AreaCheck("FW1002")
!AreaCheck("FW1003")
!AreaCheck("FW1008")
!AreaCheck("FW1009")
!AreaCheck("FW1500")
!AreaCheck("FW2000")
!AreaCheck("FW2012")
!AreaCheck("FW1501")
!AreaCheck("FW1502")
!AreaCheck("FW1503")
!AreaCheck("FW1504")
!AreaCheck("FW1505")
!AreaCheck("FW0400")
!AreaCheck("FW0606")
!AreaCheck("FW0607")
!AreaCheck("FW0608")
!AreaCheck("FW1113")
!AreaCheck("FW1114")
!AreaCheck("FW1201")
!AreaCheck("FW1202")
!AreaCheck("FW1207")
!AreaCheck("FW0721")
!AreaCheck("FW0611")
!AreaCheck("FW0621")
!AreaCheck("FW0123")
!AreaCheck("FW0125")
!AreaCheck("FW0126")
!AreaCheck("FW0137")
!AreaCheck("FW0138")
!AreaCheck("FW0139")
!AreaCheck("FW0140")
!AreaCheck("FW0141")
!AreaCheck("FW0142")
!AreaCheck("FW0146")
!AreaCheck("FW0161")
!AreaCheck("FW0224")
!AreaCheck("FW0225")
!AreaCheck("FW0226")
~ THEN REPLY #113604 /* ~Minsc, I do not want to part ways with you forever. Just wait for me here. I will return for you when I need your help again.~ */ GOTO 10
  IF ~  OR(84)
AreaCheck("FW5100")
AreaCheck("FW5101")
AreaCheck("FW5102")
AreaCheck("FW5103")
AreaCheck("FW5401")
AreaCheck("FW5402")
AreaCheck("FW5403")
AreaCheck("FW5404")
AreaCheck("FW5405")
AreaCheck("FW1900")
AreaCheck("FW1901")
AreaCheck("FW1903")
AreaCheck("FW3900")
AreaCheck("FW3901")
AreaCheck("FW4500")
AreaCheck("FW5201")
AreaCheck("FW3500")
AreaCheck("FW1603")
AreaCheck("FW4501")
AreaCheck("FW3601")
AreaCheck("FW1401")
AreaCheck("FW2101")
AreaCheck("FW1801")
AreaCheck("FW1802")
AreaCheck("FW1803")
AreaCheck("FW1804")
AreaCheck("FW2615")
AreaCheck("FW2619")
AreaCheck("FW5506")
AreaCheck("FW0500")
AreaCheck("FW0501")
AreaCheck("FW0502")
AreaCheck("FW0503")
AreaCheck("FW0504")
AreaCheck("FW0505")
AreaCheck("FW0506")
AreaCheck("FW0507")
AreaCheck("FW0508")
AreaCheck("FW0509")
AreaCheck("FW0510")
AreaCheck("FW0511")
AreaCheck("FW0512")
AreaCheck("FW0513")
AreaCheck("FW0514")
AreaCheck("FW0515")
AreaCheck("FW0516")
AreaCheck("FW1002")
AreaCheck("FW1003")
AreaCheck("FW1008")
AreaCheck("FW1009")
AreaCheck("FW1500")
AreaCheck("FW2000")
AreaCheck("FW2012")
AreaCheck("FW1501")
AreaCheck("FW1502")
AreaCheck("FW1503")
AreaCheck("FW1504")
AreaCheck("FW1505")
AreaCheck("FW0400")
AreaCheck("FW0606")
AreaCheck("FW0607")
AreaCheck("FW0608")
AreaCheck("FW1113")
AreaCheck("FW1114")
AreaCheck("FW1201")
AreaCheck("FW1202")
AreaCheck("FW1207")
AreaCheck("FW0721")
AreaCheck("FW0611")
AreaCheck("FW0621")
AreaCheck("FW0123")
AreaCheck("FW0125")
AreaCheck("FW0126")
AreaCheck("FW0137")
AreaCheck("FW0138")
AreaCheck("FW0139")
AreaCheck("FW0140")
AreaCheck("FW0141")
AreaCheck("FW0142")
AreaCheck("FW0146")
AreaCheck("FW0161")
AreaCheck("FW0224")
AreaCheck("FW0225")
AreaCheck("FW0226")
~ THEN REPLY #113604 /* ~Minsc, I do not want to part ways with you forever. Just wait for me here. I will return for you when I need your help again.~ */ GOTO 14
  IF ~  Global("Drawbridge","GLOBAL",1)
~ THEN REPLY #113562 /* ~Our paths have to separate right now, but they will cross again one of these days. I might seek your help again soon. Let us set up a meeting place somewhere in the city of Baldur's Gate.~ */ GOTO 17
  IF ~~ THEN REPLY #113563 /* ~Our paths have to separate right now, but they will cross again one of these days. I might seek your help again soon. Let us set up a meeting place somewhere along the Sword Coast.~ */ GOTO 16
  IF ~~ THEN REPLY #113605 /* ~On second thought, Minsc, I want you to stay with the group.~ */ GOTO 9
  IF ~  GlobalGT("X#DYQUImpAttack","GLOBAL",0)
~ THEN EXIT
  IF ~  Global("X#WinskiTakeDyna","GLOBAL",1)
~ THEN EXIT
END

IF ~Global("KickedOut","LOCALS",0)
InParty("dynaheir")
~ THEN BEGIN 5 // from:
  SAY #74169 /* ~I am truly saddened that you wish Minsc and Boo to leave.  If you have any need for stout blade, and an even stouter man to swing it, do not hesitate to call on me.  Let's go Dynaheir.  You are safe with me regardless.~ */
  IF ~  False()
~ THEN DO ~ActionOverride("dynaheir",ChangeAIScript("",DEFAULT))
ActionOverride("dynaheir",SetDialogue("_DYNAHP"))
ActionOverride("dynaheir",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("dynaheir",LeaveParty())
SetGlobal("KickedOut","LOCALS",1)
~ EXIT
  IF ~  !AreaCheck("FW5100")
!AreaCheck("FW5101")
!AreaCheck("FW5102")
!AreaCheck("FW5103")
!AreaCheck("FW5401")
!AreaCheck("FW5402")
!AreaCheck("FW5403")
!AreaCheck("FW5404")
!AreaCheck("FW5405")
!AreaCheck("FW1900")
!AreaCheck("FW1901")
!AreaCheck("FW1903")
!AreaCheck("FW3900")
!AreaCheck("FW3901")
!AreaCheck("FW4500")
!AreaCheck("FW5201")
!AreaCheck("FW3500")
!AreaCheck("FW1603")
!AreaCheck("FW4501")
!AreaCheck("FW3601")
!AreaCheck("FW1401")
!AreaCheck("FW2101")
!AreaCheck("FW1801")
!AreaCheck("FW1802")
!AreaCheck("FW1803")
!AreaCheck("FW1804")
!AreaCheck("FW2615")
!AreaCheck("FW2619")
!AreaCheck("FW5506")
!AreaCheck("FW0500")
!AreaCheck("FW0501")
!AreaCheck("FW0502")
!AreaCheck("FW0503")
!AreaCheck("FW0504")
!AreaCheck("FW0505")
!AreaCheck("FW0506")
!AreaCheck("FW0507")
!AreaCheck("FW0508")
!AreaCheck("FW0509")
!AreaCheck("FW0510")
!AreaCheck("FW0511")
!AreaCheck("FW0512")
!AreaCheck("FW0513")
!AreaCheck("FW0514")
!AreaCheck("FW0515")
!AreaCheck("FW0516")
!AreaCheck("FW1002")
!AreaCheck("FW1003")
!AreaCheck("FW1008")
!AreaCheck("FW1009")
!AreaCheck("FW1500")
!AreaCheck("FW2000")
!AreaCheck("FW2012")
!AreaCheck("FW1501")
!AreaCheck("FW1502")
!AreaCheck("FW1503")
!AreaCheck("FW1504")
!AreaCheck("FW1505")
!AreaCheck("FW0400")
!AreaCheck("FW0606")
!AreaCheck("FW0607")
!AreaCheck("FW0608")
!AreaCheck("FW1113")
!AreaCheck("FW1114")
!AreaCheck("FW1201")
!AreaCheck("FW1202")
!AreaCheck("FW1207")
!AreaCheck("FW0721")
!AreaCheck("FW0611")
!AreaCheck("FW0621")
!AreaCheck("FW0123")
!AreaCheck("FW0125")
!AreaCheck("FW0126")
!AreaCheck("FW0137")
!AreaCheck("FW0138")
!AreaCheck("FW0139")
!AreaCheck("FW0140")
!AreaCheck("FW0141")
!AreaCheck("FW0142")
!AreaCheck("FW0146")
!AreaCheck("FW0161")
!AreaCheck("FW0224")
!AreaCheck("FW0225")
!AreaCheck("FW0226")
~ THEN REPLY #113604 /* ~Minsc, I do not want to part ways with you forever. Just wait for me here. I will return for you when I need your help again.~ */ GOTO 11
  IF ~  OR(84)
AreaCheck("FW5100")
AreaCheck("FW5101")
AreaCheck("FW5102")
AreaCheck("FW5103")
AreaCheck("FW5401")
AreaCheck("FW5402")
AreaCheck("FW5403")
AreaCheck("FW5404")
AreaCheck("FW5405")
AreaCheck("FW1900")
AreaCheck("FW1901")
AreaCheck("FW1903")
AreaCheck("FW3900")
AreaCheck("FW3901")
AreaCheck("FW4500")
AreaCheck("FW5201")
AreaCheck("FW3500")
AreaCheck("FW1603")
AreaCheck("FW4501")
AreaCheck("FW3601")
AreaCheck("FW1401")
AreaCheck("FW2101")
AreaCheck("FW1801")
AreaCheck("FW1802")
AreaCheck("FW1803")
AreaCheck("FW1804")
AreaCheck("FW2615")
AreaCheck("FW2619")
AreaCheck("FW5506")
AreaCheck("FW0500")
AreaCheck("FW0501")
AreaCheck("FW0502")
AreaCheck("FW0503")
AreaCheck("FW0504")
AreaCheck("FW0505")
AreaCheck("FW0506")
AreaCheck("FW0507")
AreaCheck("FW0508")
AreaCheck("FW0509")
AreaCheck("FW0510")
AreaCheck("FW0511")
AreaCheck("FW0512")
AreaCheck("FW0513")
AreaCheck("FW0514")
AreaCheck("FW0515")
AreaCheck("FW0516")
AreaCheck("FW1002")
AreaCheck("FW1003")
AreaCheck("FW1008")
AreaCheck("FW1009")
AreaCheck("FW1500")
AreaCheck("FW2000")
AreaCheck("FW2012")
AreaCheck("FW1501")
AreaCheck("FW1502")
AreaCheck("FW1503")
AreaCheck("FW1504")
AreaCheck("FW1505")
AreaCheck("FW0400")
AreaCheck("FW0606")
AreaCheck("FW0607")
AreaCheck("FW0608")
AreaCheck("FW1113")
AreaCheck("FW1114")
AreaCheck("FW1201")
AreaCheck("FW1202")
AreaCheck("FW1207")
AreaCheck("FW0721")
AreaCheck("FW0611")
AreaCheck("FW0621")
AreaCheck("FW0123")
AreaCheck("FW0125")
AreaCheck("FW0126")
AreaCheck("FW0137")
AreaCheck("FW0138")
AreaCheck("FW0139")
AreaCheck("FW0140")
AreaCheck("FW0141")
AreaCheck("FW0142")
AreaCheck("FW0146")
AreaCheck("FW0161")
AreaCheck("FW0224")
AreaCheck("FW0225")
AreaCheck("FW0226")
~ THEN REPLY #113604 /* ~Minsc, I do not want to part ways with you forever. Just wait for me here. I will return for you when I need your help again.~ */ GOTO 15
  IF ~  Global("Drawbridge","GLOBAL",1)
~ THEN REPLY #113562 /* ~Our paths have to separate right now, but they will cross again one of these days. I might seek your help again soon. Let us set up a meeting place somewhere in the city of Baldur's Gate.~ */ GOTO 19
  IF ~~ THEN REPLY #113563 /* ~Our paths have to separate right now, but they will cross again one of these days. I might seek your help again soon. Let us set up a meeting place somewhere along the Sword Coast.~ */ GOTO 18
  IF ~~ THEN REPLY #113605 /* ~On second thought, Minsc, I want you to stay with the group.~ */ GOTO 9
  IF ~  GlobalGT("X#DYQUImpAttack","GLOBAL",0)
~ THEN EXIT
  IF ~  Global("X#WinskiTakeDyna","GLOBAL",1)
~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.0 0.0
  SAY #74180 /* ~If that is your wish, but adventure will not wait forever, not unless you tie it down and sit on it for good measure.  Minsc knows.~ */
  IF ~~ THEN DO ~ActionOverride("dynaheir",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("dynaheir",ChangeAIScript("",DEFAULT))
ActionOverride("dynaheir",SetDialogue("_DYNAHP"))
ActionOverride("dynaheir",LeaveParty())
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.1
  SAY #74181 /* ~Let evil beware, lest it get a righteous boot betwixt the eyes!  Dynaheir need not worry for her safety while Minsc lives!~ */
  IF ~~ THEN DO ~ActionOverride("dynaheir",SetGlobal("KickedOut","LOCALS",0))
ActionOverride("dynaheir",JoinParty())
SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 1.1
  SAY #74182 /* ~Let evil beware, lest it get a righteous boot betwixt the eyes!  Onward!~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 15.1 14.1 5.5 4.5
  SAY #113606 /* ~Let evil beware, lest it get a righteous boot betwixt the eyes! Onward!~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 10 // from: 4.1
  SAY #113607 /* ~All right, <CHARNAME>. Minsc and Boo shall wait for you here.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 5.1
  SAY #113608 /* ~All right, <CHARNAME>. Minsc (and Boo), and his witch, shall wait for you here.~ */
  IF ~~ THEN DO ~ActionOverride("dynaheir",ChangeAIScript("",DEFAULT))
ActionOverride("dynaheir",SetDialogue("_DYNAHP"))
ActionOverride("dynaheir",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("dynaheir",LeaveParty())
SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 12 // from: 14.0
  SAY #113609 /* ~Boo and I were about to leave anyway! I have never seen such behavior in all my days! And you claim to be heroes? Good riddance!~ */
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 15.0
  SAY #113610 /* ~Boo and I were about to leave anyway! I have never seen such behavior in all my days! And you claim to be heroes? Good riddance! Come Dynaheir, I will not feel good about your safety until we are away from here.~ */
  IF ~~ THEN DO ~ActionOverride("dynaheir",ChangeAIScript("",DEFAULT))
ActionOverride("dynaheir",LeaveParty())
ActionOverride("dynaheir",EscapeArea())
LeaveParty()
EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 14 // from: 4.2
  SAY #113611 /* ~Minsc might look simple, but he has Boo. And Boo would never let him wait here. No sir.~ */
  IF ~~ THEN REPLY #113571 /* ~Farewell then.~ */ GOTO 12
  IF ~~ THEN REPLY #113572 /* ~On second thought, I want you to stay with the group.~ */ GOTO 9
  IF ~  OR(59)
AreaCheck("FW5100")
AreaCheck("FW5101")
AreaCheck("FW5102")
AreaCheck("FW5103")
AreaCheck("FW5401")
AreaCheck("FW5402")
AreaCheck("FW5403")
AreaCheck("FW5404")
AreaCheck("FW5405")
AreaCheck("FW1900")
AreaCheck("FW1901")
AreaCheck("FW1903")
AreaCheck("FW3900")
AreaCheck("FW3901")
AreaCheck("FW4500")
AreaCheck("FW5201")
AreaCheck("FW3500")
AreaCheck("FW1603")
AreaCheck("FW4501")
AreaCheck("FW3601")
AreaCheck("FW1401")
AreaCheck("FW2101")
AreaCheck("FW1801")
AreaCheck("FW1802")
AreaCheck("FW1803")
AreaCheck("FW1804")
AreaCheck("FW2615")
AreaCheck("FW2619")
AreaCheck("FW5506")
AreaCheck("FW0500")
AreaCheck("FW0501")
AreaCheck("FW0502")
AreaCheck("FW0503")
AreaCheck("FW0504")
AreaCheck("FW0505")
AreaCheck("FW0506")
AreaCheck("FW0507")
AreaCheck("FW0508")
AreaCheck("FW0509")
AreaCheck("FW0510")
AreaCheck("FW0511")
AreaCheck("FW0512")
AreaCheck("FW0513")
AreaCheck("FW0514")
AreaCheck("FW0515")
AreaCheck("FW0516")
AreaCheck("FW1002")
AreaCheck("FW1003")
AreaCheck("FW1008")
AreaCheck("FW1009")
AreaCheck("FW1500")
AreaCheck("FW2000")
AreaCheck("FW2012")
AreaCheck("FW1501")
AreaCheck("FW1502")
AreaCheck("FW1503")
AreaCheck("FW1504")
AreaCheck("FW1505")
AreaCheck("FW0400")
~ THEN REPLY #113573 /* ~Oh, I trust in your outstanding skills of survival. When you are out of here, go to the safe haven of your choice and wait for me there.~ */ GOTO 16
  IF ~  OR(25)
AreaCheck("FW0606")
AreaCheck("FW0607")
AreaCheck("FW0608")
AreaCheck("FW1113")
AreaCheck("FW1114")
AreaCheck("FW1201")
AreaCheck("FW1202")
AreaCheck("FW1207")
AreaCheck("FW0721")
AreaCheck("FW0611")
AreaCheck("FW0621")
AreaCheck("FW0123")
AreaCheck("FW0125")
AreaCheck("FW0126")
AreaCheck("FW0137")
AreaCheck("FW0138")
AreaCheck("FW0139")
AreaCheck("FW0140")
AreaCheck("FW0141")
AreaCheck("FW0142")
AreaCheck("FW0146")
AreaCheck("FW0161")
AreaCheck("FW0224")
AreaCheck("FW0225")
AreaCheck("FW0226")
~ THEN REPLY #113573 /* ~Oh, I trust in your outstanding skills of survival. When you are out of here, go to the safe haven of your choice and wait for me there.~ */ GOTO 17
END

IF ~~ THEN BEGIN 15 // from: 5.2
  SAY #113612 /* ~Minsc might look simple, but he has Boo. And Boo would never let him wait here. No sir. Minsc has to protect his witch.~ */
  IF ~~ THEN REPLY #113571 /* ~Farewell then.~ */ GOTO 13
  IF ~~ THEN REPLY #113572 /* ~On second thought, I want you to stay with the group.~ */ GOTO 9
  IF ~  OR(59)
AreaCheck("FW5100")
AreaCheck("FW5101")
AreaCheck("FW5102")
AreaCheck("FW5103")
AreaCheck("FW5401")
AreaCheck("FW5402")
AreaCheck("FW5403")
AreaCheck("FW5404")
AreaCheck("FW5405")
AreaCheck("FW1900")
AreaCheck("FW1901")
AreaCheck("FW1903")
AreaCheck("FW3900")
AreaCheck("FW3901")
AreaCheck("FW4500")
AreaCheck("FW5201")
AreaCheck("FW3500")
AreaCheck("FW1603")
AreaCheck("FW4501")
AreaCheck("FW3601")
AreaCheck("FW1401")
AreaCheck("FW2101")
AreaCheck("FW1801")
AreaCheck("FW1802")
AreaCheck("FW1803")
AreaCheck("FW1804")
AreaCheck("FW2615")
AreaCheck("FW2619")
AreaCheck("FW5506")
AreaCheck("FW0500")
AreaCheck("FW0501")
AreaCheck("FW0502")
AreaCheck("FW0503")
AreaCheck("FW0504")
AreaCheck("FW0505")
AreaCheck("FW0506")
AreaCheck("FW0507")
AreaCheck("FW0508")
AreaCheck("FW0509")
AreaCheck("FW0510")
AreaCheck("FW0511")
AreaCheck("FW0512")
AreaCheck("FW0513")
AreaCheck("FW0514")
AreaCheck("FW0515")
AreaCheck("FW0516")
AreaCheck("FW1002")
AreaCheck("FW1003")
AreaCheck("FW1008")
AreaCheck("FW1009")
AreaCheck("FW1500")
AreaCheck("FW2000")
AreaCheck("FW2012")
AreaCheck("FW1501")
AreaCheck("FW1502")
AreaCheck("FW1503")
AreaCheck("FW1504")
AreaCheck("FW1505")
AreaCheck("FW0400")
~ THEN REPLY #113573 /* ~Oh, I trust in your outstanding skills of survival. When you are out of here, go to the safe haven of your choice and wait for me there.~ */ GOTO 18
  IF ~  OR(25)
AreaCheck("FW0606")
AreaCheck("FW0607")
AreaCheck("FW0608")
AreaCheck("FW1113")
AreaCheck("FW1114")
AreaCheck("FW1201")
AreaCheck("FW1202")
AreaCheck("FW1207")
AreaCheck("FW0721")
AreaCheck("FW0611")
AreaCheck("FW0621")
AreaCheck("FW0123")
AreaCheck("FW0125")
AreaCheck("FW0126")
AreaCheck("FW0137")
AreaCheck("FW0138")
AreaCheck("FW0139")
AreaCheck("FW0140")
AreaCheck("FW0141")
AreaCheck("FW0142")
AreaCheck("FW0146")
AreaCheck("FW0161")
AreaCheck("FW0224")
AreaCheck("FW0225")
AreaCheck("FW0226")
~ THEN REPLY #113573 /* ~Oh, I trust in your outstanding skills of survival. When you are out of here, go to the safe haven of your choice and wait for me there.~ */ GOTO 19
END

IF ~~ THEN BEGIN 16 // from: 14.2 4.4
  SAY #113613 /* ~Minsc and Boo shall wait for you at the Friendly Arm Inn. It's a good place to get ready for some serious butt-kicking!~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
EscapeAreaMove("FW2301",599,386,12)
~ EXIT
END

IF ~~ THEN BEGIN 17 // from: 14.3 4.3
  SAY #113614 /* ~When in Baldur's Gate, Minsc (and Boo) go to the Elfsong tavern. We'll be there when you are ready to whip the scrambled eggs of evilness with righteous steel!~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
EscapeAreaMove("FW0706",286,387,0)
~ EXIT
END

IF ~~ THEN BEGIN 18 // from: 15.2 5.4
  SAY #113615 /* ~We shall all wait for you at the Friendly Arm Inn. It's a good place to get ready for some serious butt-kicking!~ */
  IF ~~ THEN DO ~ActionOverride("dynaheir",ChangeAIScript("",DEFAULT))
ActionOverride("dynaheir",SetDialogue("_DYNAHP"))
ActionOverride("dynaheir",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("dynaheir",LeaveParty())
ActionOverride("dynaheir",EscapeAreaMove("FW2301",669,378,3))
SetGlobal("KickedOut","LOCALS",1)
EscapeAreaMove("FW2301",599,386,12)
~ EXIT
END

IF ~~ THEN BEGIN 19 // from: 15.3 5.3
  SAY #113616 /* ~When in Baldur's Gate, Minsc (and Boo), and their witch, go to the Elfsong tavern. We'll be there when you are ready to whip the scrambled eggs of evilness with righteous steel!~ */
  IF ~~ THEN DO ~ActionOverride("dynaheir",ChangeAIScript("",DEFAULT))
ActionOverride("dynaheir",SetDialogue("_DYNAHP"))
ActionOverride("dynaheir",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("dynaheir",LeaveParty())
ActionOverride("dynaheir",EscapeAreaMove("FW0706",320,330,9))
SetGlobal("KickedOut","LOCALS",1)
EscapeAreaMove("FW0706",286,387,0)
~ EXIT
END
